Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGColor

All Superinterfaces:
  org.w3c.dom.css.CSSValue

All Known Subinterfaces:
  SVGPaint

All Known Implementing Classes:
  CSSOMSVGColor, CSSOMSVGPaint

public interface SVGColor
extends org.w3c.dom.css.CSSValue

Field Summary
`static short` | `SVG_COLORTYPE_CURRENTCOLOR`
`static short` | `SVG_COLORTYPE_RGBCOLOR`
`static short` | `SVG_COLORTYPE_RGBCOLOR_ICCCOLOR`
`static short` | `SVG_COLORTYPE_UNKNOWN`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Method Summary
`short` | `getColorType()`
`SVGICCColor` | `getICCColor()`
`org.w3c.dom.css.RGBColor` | `getRGBColor()`
`void` | `setColor(short colorType, java.lang.String rgbColor, java.lang.String iccColor)`
`void` | `setRGBColor(java.lang.String rgbColor)`
`void` | `setRGBColorICCColor(java.lang.String rgbColor, java.lang.String iccColor)`

Methods inherited from interface org.w3c.dom.css.CSSValue
`getCssText, getCssValueType, setCssText`

Field Detail

### SVG_COLORTYPE_UNKNOWN

    public static final short SVG_COLORTYPE_UNKNOWN

See Also:
  Constant Field Values

### SVG_COLORTYPE_RGBCOLOR

    public static final short SVG_COLORTYPE_RGBCOLOR

See Also:
  Constant Field Values

### SVG_COLORTYPE_RGBCOLOR_ICCCOLOR

    public static final short SVG_COLORTYPE_RGBCOLOR_ICCCOLOR

See Also:
  Constant Field Values

### SVG_COLORTYPE_CURRENTCOLOR

    public static final short SVG_COLORTYPE_CURRENTCOLOR

See Also:
  Constant Field Values

Method Detail

### getColorType

    public short getColorType()

### getRGBColor

    public org.w3c.dom.css.RGBColor getRGBColor()

### getICCColor

    public SVGICCColor getICCColor()

### setRGBColor

    public void setRGBColor(java.lang.String rgbColor)
                     throws SVGException

  Throws:
    `SVGException`

### setRGBColorICCColor

    public void setRGBColorICCColor(java.lang.String rgbColor,
                                    java.lang.String iccColor)
                             throws SVGException

  Throws:
    `SVGException`

### setColor

    public void setColor(short colorType,
                         java.lang.String rgbColor,
                         java.lang.String iccColor)
                  throws SVGException

  Throws:
    `SVGException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.